Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.acl.basic
Interface AclObjectIdentity

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  NamedEntityObjectIdentity

    public interface AclObjectIdentity

extends Serializable

Interface representing the identity of an individual domain object instance.

It should be noted that `AclObjectIdentity` instances are created in various locations throughout the package. As `AclObjectIdentity`s are used as the key for caching, it is essential that implementations provide methods so that object-equality rather than reference-equality can be relied upon by caches. In other words, a cache can consider two `AclObjectIdentity`s equal if `identity1.equals(identity2)`, rather than reference-equality of `identity1==identity2`.

In practical terms this means you must implement the standard `java.lang.Object` methods shown below. Depending on your cache's internal structure, you may also need to implement special interfaces such as `java.util.Comparator` or `java.lang.Comparable`.

Version:
  $Id: AclObjectIdentity.java,v 1.2 2005/11/17 00:55:47 benalex Exp $
Author:
  Ben Alex

Method Summary
`boolean` | `equals(Object obj)` Refer to the `java.lang.Object` documentation for the interface contract.
`int` | `hashCode()` Refer to the `java.lang.Object` documentation for the interface contract.

Method Detail

### equals

    boolean equals(Object obj)

  Refer to the `java.lang.Object` documentation for the interface contract.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - to be compared
  Returns:
    `true` if the objects are equal, `false` otherwise

### hashCode

    int hashCode()

  Refer to the `java.lang.Object` documentation for the interface contract.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    a hash code representation of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.